Page MenuHomePhabricator

Flow: fatal error from Flow\Model\TopicListEntry::toStorageRow() paginating Talk:Compact Personal Bar
Closed, ResolvedPublic

Description

Bug 61349 is back, slightly different. We're getting a steady stream of these fatals on mediawiki.org, all from https://www.mediawiki.org/wiki/Talk:Compact_Personal_Bar, all an API request to paginate more topics into view. You can trigger it by scrolling past the "What bugs or issues have you experienced" topic.

Most recent:

[2014-05-05 22:06:04] Catchable fatal error: Argument 1 passed to Flow\Model\TopicListEntry::toStorageRow() must be an instance of Flow\Model\TopicListEntry, boolean given at /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Model/TopicListEntry.php on line 57

Method: GET
URL: http://www.mediawiki.org/w/api.php?action=query&format=json&list=flow&flowpage=Talk%3ACompact+Personal+Bar&flowworkflow=rrn12bzovuecb4ss&flowaction=view&flowparams=%7B%22topiclist%22%3A%7B%22offset-dir%22%3A%22fwd%22%2C%22offset-id%22%3A%22rrn2mhn8pm8qtrgx%22%2C%22limit%22%3A10%2C%22render%22%3Atrue%7D%7D
...
Backtrace:
#0 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Model/TopicListEntry.php(57): Flow\Model\TopicListEntry::toStorageRow()
#1 [internal function]: Flow\Model\TopicListEntry::toStorageRow(false)
#2 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Data/CachingObjectMapper.php(31): call_user_func(Array, false)
#3 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Data/ObjectManager.php(195): Flow\Data\CachingObjectMapper->toStorageRow(false)
#4 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Data/Pager.php(152): Flow\Data\ObjectManager->serializeOffset(false, Array)
#5 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Data/Pager.php(118): Flow\Data\Pager->makePagingLink('rev', false, 10)
#6 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Data/Pager.php(57): Flow\Data\Pager->processPage('fwd', Object(Flow\Model\UUID), 10, Array)
#7 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Block/TopicList.php(293): Flow\Data\Pager->getPage()
#8 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/Block/TopicList.php(220): Flow\Block\TopicListBlock->getPage(Array)
#9 /usr/local/apache/common-local/php-1.24wmf3/extensions/Flow/includes/api/ApiQueryFlow.php(37): Flow\Block\TopicListBlock->renderAPI(Object(Flow\Templating), Array)
#10 /usr/local/apache/common-local/php-1.24wmf3/includes/api/ApiQuery.php(282): ApiQueryFlow->execute()


Version: master
Severity: normal

Details

Reference
bz64938

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:20 AM
bzimport set Reference to bz64938.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.May 6 2014, 1:59 AM
  • Bug 64810 has been marked as a duplicate of this bug. ***

Change 131912 had a related patch set uploaded by Bsitu:
Incorrect offset key position

https://gerrit.wikimedia.org/r/131912

Change 131912 merged by jenkins-bot:
Incorrect offset key position

https://gerrit.wikimedia.org/r/131912

FWIW, adding a topic fixed the specific occurrence on Talk:Compact Personal Bar. As I understand, it's a start at 0 vs. start at 1 issue in the infinite-scroll auto-paginating code.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:36 AM